package com.yonge.cooleshow.auth.dal.dao;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.yonge.cooleshow.auth.api.entity.SysRoleMenu;
import com.yonge.toolset.mybatis.dal.BaseDAO;

public interface SysRoleMenuDao extends BaseDAO<Long, SysRoleMenu> {

	/**
	 * 根据角色查询权限列表
	 * @param roleId
	 * @return
	 */
	List<String> queryPermissionsByRoleId(Long roleId);

	/**
	 * 根据角色查询权限列表
	 * @param roleId
	 * @return
	 */
	List<Long> queryMenuIdByRoleId(Long roleId);

	/**
	 * 删除角色菜单权限
	 * @param sysRoleMenu
	 * @return
	 */
	int delete(SysRoleMenu sysRoleMenu);

	/**
	 * 删除角色所有的菜单权限
	 * @param id
	 */
	void deleteAllMenu(Long id);

	/**
	 * 批量插入角色菜单
	 * @param roleId
	 * @param menuIds
	 */
    void batchAdd(@Param("roleId") Long roleId,@Param("menuIds")  List<Long> menuIds);
}